summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorsss <sss@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-04-22 21:14:50 +0000
committersss <sss@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-04-22 21:14:50 +0000
commitf08bd5fad168048ba576d34b58e7f7d583616f76 (patch)
treec734de745299cc35604e9456509320e89cb611e9
parent1872e1fd037bb31de2642ef4ce5ac614a67f3922 (diff)
git-svn-id: http://172.18.13.13/svn/sss_overlay@11 4d9a9b59-111c-4e0b-8f7a-7640551abb98
-rw-r--r--dev-games/crystalspace/crystalspace-1.4.9999.ebuild135
-rw-r--r--dev-libs/ptlib/ptlib-2.4.5.ebuild98
-rw-r--r--media-libs/cal3d/cal3d-9999.ebuild66
-rw-r--r--media-libs/cal3d/files/config.patch24
-rw-r--r--net-libs/opal/opal-3.4.5.ebuild70
5 files changed, 393 insertions, 0 deletions
diff --git a/dev-games/crystalspace/crystalspace-1.4.9999.ebuild b/dev-games/crystalspace/crystalspace-1.4.9999.ebuild
new file mode 100644
index 0000000..6205c66
--- /dev/null
+++ b/dev-games/crystalspace/crystalspace-1.4.9999.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-games/crystalspace/crystalspace-1.2.ebuild,v 1.6 2008/07/08 16:30:49 mr_bones_ Exp $
+
+inherit flag-o-matic java-pkg-opt-2 multilib wxwidgets subversion
+
+MY_P=${PN}-src-${PV}
+DESCRIPTION="Portable 3D Game Development Kit written in C++"
+HOMEPAGE="http://crystal.sourceforge.net/"
+SRC_URI=""
+
+ESVN_REPO_URI="https://crystal.svn.sourceforge.net/svnroot/crystal/CS/branches/release/V1.4"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+#ESVN_REVISION="32140"
+#ESVN_BOOTSTRAP="./reconf"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="3ds alsa +cal3d cegui +cg doc java javascript jpeg mng ode perl png python
+sdl truetype vorbis wxwindows"
+
+RDEPEND="virtual/opengl
+ virtual/glu
+ java? ( >=virtual/jre-1.5 )
+ cg? ( media-gfx/nvidia-cg-toolkit )
+ ode? ( dev-games/ode )
+ cal3d? ( >=media-libs/cal3d-0.11 )
+ jpeg? ( media-libs/jpeg )
+ sdl? ( media-libs/libsdl )
+ vorbis? ( media-libs/libogg
+ media-libs/libvorbis )
+ truetype? ( >=media-libs/freetype-2.1 )
+ alsa? ( media-libs/alsa-lib )
+ mng? ( media-libs/libmng )
+ png? ( media-libs/libpng )
+ wxwindows? ( x11-libs/pango
+ =x11-libs/wxGTK-2.6* )
+ javascript? ( dev-lang/spidermonkey )
+ cegui? ( >=dev-games/cegui-0.5.0 )
+ x11-libs/libXaw
+ x11-libs/libXxf86vm"
+DEPEND="${RDEPEND}
+ 3ds? ( media-libs/lib3ds )
+ java? ( dev-java/ant-core
+ >=virtual/jdk-1.5 )
+ dev-util/ftjam
+ dev-lang/swig
+ dev-util/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+# unpack ${A}
+ subversion_src_unpack
+ cd "${S}"
+ # Installing doc conflict with dodoc on src_install
+ # Removing conflicting target
+ sed -i -e "/^InstallDoc/d" \
+ Jamfile.in \
+ docs/Jamfile \
+ || die "sed failed"
+}
+
+src_compile() {
+ if useq wxwindows; then
+ WX_GTK_VER=2.6
+ need-wxwidgets gtk2
+ fi
+
+ # -O3 is hanging compilation of python script plugin
+ # trying -O2 just in case
+ replace-flags -O3 -O2
+ econf --enable-cpu-specific-optimizations=no \
+ --disable-separate-debug-info \
+ --without-lcms \
+ --without-caca \
+ --without-bullet \
+ --without-openal \
+ --without-jackasyn \
+ --without-mikmod \
+ --disable-make-emulation \
+ $(use_with perl) \
+ $(use_with python) \
+ $(use_with java) \
+ $(use_with png) \
+ $(use_with jpeg) \
+ $(use_with mng) \
+ $(use_with vorbis) \
+ $(use_with 3ds) \
+ $(use_with ode) \
+ $(use_with truetype freetype2) \
+ $(use_with cal3d) \
+ $(use_with sdl) \
+ $(use_with wxwindows wx) \
+ $(use_with cegui CEGUI) \
+ $(use_with cg Cg) \
+ $(use_with javascript js) \
+ $(use_with alsa asound)
+ #remove unwanted CFLAGS added by ./configure
+ sed -i -e '/COMPILER\.CFLAGS\.optimize/d' \
+ Jamconfig \
+ || die "sed failed"
+ jam -q || die "compile failed"
+}
+
+src_install() {
+ for installTarget in install_bin install_plugin install_lib \
+ install_include install_data install_config
+ do
+ jam -q -s DESTDIR="${D}" ${installTarget} \
+ || die "jam ${installTarget} failed"
+ done
+ if use doc; then
+ jam -q -s DESTDIR="${D}" install_doc || die "jam install_doc failed"
+ fi
+ dodoc README docs/history* docs/todo_*
+
+ echo "CRYSTAL_PLUGIN=/usr/$(get_libdir)/${P}" > 90crystalspace
+ echo "CRYSTAL_CONFIG=/etc/${P}" >> 90crystalspace
+ doenvd 90crystalspace
+}
+
+pkg_postinst() {
+ elog "Examples coming with this package, need correct light calculation"
+ elog "Do the following commands, with the root account, to fix that:"
+ # Fill cache directory for the examples
+ local dir
+ for dir in castle flarge isomap parallaxtest partsys r3dtest stenciltest \
+ terrain terrainf;
+ do
+ elog "cslight -video=null /usr/share/${PN}/data/maps/${dir}"
+ done
+}
diff --git a/dev-libs/ptlib/ptlib-2.4.5.ebuild b/dev-libs/ptlib/ptlib-2.4.5.ebuild
new file mode 100644
index 0000000..b3b9f38
--- /dev/null
+++ b/dev-libs/ptlib/ptlib-2.4.5.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils
+
+DESCRIPTION="Network focused portable C++ class library providing high level functions"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="alsa bsdvideo debug doc esd ieee1394 ipv6 ldap minimal noaudio novideo oss
+sasl sdl ssl sunaudio v4l v4l2 xml"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+ esd? ( media-sound/esound )
+ ieee1394? ( media-libs/libdv
+ sys-libs/libavc1394
+ media-libs/libdc1394:1 )
+ ldap? ( net-nds/openldap )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ sdl? ( media-libs/libsdl )
+ ssl? ( dev-libs/openssl )
+ xml? ( dev-libs/expat )"
+DEPEND="${RDEPEND}
+ sys-devel/bison
+ sys-devel/flex
+ v4l? ( sys-kernel/linux-headers )
+ v4l2? ( sys-kernel/linux-headers )
+ !dev-libs/pwlib"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ # this patch fixes bugs: #145424 and #140358
+ epatch "${FILESDIR}"/${PN}-asm.patch
+}
+
+src_compile() {
+ local myconf=""
+ local makeopts=""
+
+ use noaudio && myconf="${myconf} --disable-audio"
+ use novideo && myconf="${myconf} --disable-video"
+
+ econf \
+ ${myconf} \
+ $(use_enable alsa) \
+ $(use_enable bsdvideo) \
+ $(use_enable debug exceptions) \
+ $(use_enable debug memcheck) \
+ $(use_enable esd) \
+ $(use_enable ieee1394 avc) \
+ $(use_enable ieee1394 dc) \
+ $(use_enable ipv6) \
+ $(use_enable ldap openldap) \
+ $(use_enable minimal minsize) \
+ $(use_enable oss) \
+ $(use_enable sasl) \
+ $(use_enable sdl) \
+ $(use_enable ssl openssl) \
+ $(use_enable sunaudio) \
+ $(use_enable v4l) \
+ $(use_enable v4l2) \
+ $(use_enable xml expat) \
+ --enable-plugins \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1 debug"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ local makeopts
+
+ makeopts="PREFIX=/usr DESTDIR=\"${D}\""
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1"
+ fi
+
+ emake ${makeopts} install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* || die "documentation installation failed"
+ fi
+
+ dodoc ReadMe.txt ReadMe_QOS.txt History.txt || die "documentation
+ installation failed"
+}
diff --git a/media-libs/cal3d/cal3d-9999.ebuild b/media-libs/cal3d/cal3d-9999.ebuild
new file mode 100644
index 0000000..0bd7113
--- /dev/null
+++ b/media-libs/cal3d/cal3d-9999.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/cal3d/cal3d-0.11.0-r1.ebuild,v 1.8 2008/10/14 02:13:01 darkside Exp $
+
+inherit eutils autotools subversion
+
+DESCRIPTION="Cal3D is a skeletal based character animation library"
+HOMEPAGE="http://home.gna.org/cal3d"
+SRC_URI=""
+
+ESVN_REPO_URI="svn://svn.gna.org/svn/cal3d/trunk/cal3d"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_REVISION="507"
+#ESVN_BOOTSTRAP="./reconf"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ~ia64 ppc x86 ~x86-fbsd"
+IUSE="16bit-indices debug doc"
+
+S="${WORKDIR}/${P/_/}"
+
+DEPEND="doc? (
+ app-doc/doxygen
+ app-text/docbook-sgml-utils
+ )"
+RDEPEND=""
+
+src_unpack() {
+# unpack ${A}
+ subversion_src_unpack
+ cd "${S}"
+# epatch "${FILESDIR}"/${P}-gcc43.patch
+ epatch "${FILESDIR}"/config.patch
+ if use doc; then
+ sed -i \
+ -e "s:db2html:docbook2html:g" \
+ configure.in \
+ docs/Makefile.am \
+ || die "sed for doc failed"
+ eautoreconf
+ fi
+}
+
+src_compile() {
+ econf \
+ $(use_enable debug) \
+ $(use_enable 16bit-indices) \
+ || die
+ emake || die
+ if use doc; then
+ cd docs
+ emake doc-api || die "Failed making doc-api"
+ emake doc-guide || die "Failed making doc-guide"
+ mkdir -p html/{guide,api}
+ mv *.{html,gif} html/guide/
+ mv api/html/* html/api/
+ fi
+}
+
+src_install() {
+ dodoc AUTHORS ChangeLog README TODO
+ einstall || die
+ use doc && dohtml -r docs/html/*
+}
diff --git a/media-libs/cal3d/files/config.patch b/media-libs/cal3d/files/config.patch
new file mode 100644
index 0000000..e07baf7
--- /dev/null
+++ b/media-libs/cal3d/files/config.patch
@@ -0,0 +1,24 @@
+Index: configure.in
+===================================================================
+--- configure.in (revision 533)
++++ configure.in (working copy)
+@@ -50,16 +50,16 @@
+ AC_MSG_WARN([cannot find doxygen, unable to generate Cal3D API Reference!])
+ fi
+
+-AC_CHECK_PROG(DB2HTML, db2html, true, false)
++AC_CHECK_PROG(DB2HTML, docbook2html, true, false)
+ if test "$DB2HTML" = false; then
+- AC_MSG_WARN([cannot find db2html, unable to generate Cal3D User's Guide!])
++ AC_MSG_WARN([cannot find docbook2html, unable to generate Cal3D User's Guide!])
+ fi
+
+ AC_PATH_PROG(BLENDER, [blender])
+ AC_PATH_PROG(VALGRIND, [valgrind])
+
+ # Check for unittest++
+-AM_USE_UNITTESTCPP
++#AM_USE_UNITTESTCPP
+
+ CPPFLAGS="$CPPFLAGS"' -I${top_srcdir}/src'
+
diff --git a/net-libs/opal/opal-3.4.5.ebuild b/net-libs/opal/opal-3.4.5.ebuild
new file mode 100644
index 0000000..7231f62
--- /dev/null
+++ b/net-libs/opal/opal-3.4.5.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils flag-o-matic
+
+DESCRIPTION="C++ class library normalising numerous telephony protocols"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug doc java"
+
+RDEPEND=">=dev-libs/ptlib-2.0.0
+ >=media-video/ffmpeg-0.4.7
+ media-libs/speex
+ java? ( virtual/jdk )"
+
+pkg_setup() {
+ if use debug && ! built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib with USE=debug enabled."
+ die "dev-libs/ptlib has to be built with USE=debug"
+ fi
+
+ if ! use debug && built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib without USE=debug."
+ die "dev-libs/ptlib has not to be built with USE=debug"
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}"/${PN}-lpcini.patch
+}
+
+src_compile() {
+ local makeopts
+
+ filter-ldflags -Wl,--as-needed --as-needed
+
+ # zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
+ # http://zfoneproject.com/ that is not in portage
+ econf \
+ $(use_enable debug) \
+ $(use_enable java) \
+ --enable-plugins \
+ --disable-localspeex \
+ --disable-zrtp \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="debug"
+ else
+ makeopts="opt"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ emake PREFIX=/usr DESTDIR="${D}" install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* docs/* || die "documentation installation failed"
+ fi
+}